## Apache Zeta Components Manual :: Docs For Class ezcDocumentPdfPart

### Document::ezcDocumentPdfPart

### Class ezcDocumentPdfPart

Abstract base class for additional PDF parts

Parts can be new elements in a PDF page, which can hook into the rendering of the PDF page, like footers or headers.

This abstract part abse class offers a list of hooks which will be called, if an instance of this class is registered in the renderer, these hooks are:

- hookPageCreation
- hookPageRendering
- hookDocumentCreation
- hookDocumentRendering

All these hooks do nothing by default, and should be overwritten to accomplish the desired functionality.

Source for this file: /Document/src/document/pdf/part.php

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcDocumentPdfFooterPdfPart | Basic foot class, which renders a simple page footer including information from the document.

### Member Variables

protected ezcDocumentPdfDriver | `$driver` Reference to driver
protected ezcDocumentPdfMainRenderer | `$renderer` Reference to main renderer
protected ezcDocumentPcssStyleInferencer | `$styles` Reference to style inferencer

### Method Summary

public void | `hookDocumentCreation( $element )` Hook on document creation
public void | `hookDocumentRendering( )` Hook on document rendering
public void | `hookPageCreation( $page )` Hook on page creation
public void | `hookPageRendering( $page )` Hook on page rendering
public void | `registerContext( $renderer , $driver , $styles )` Registration function called by the renderer.

### Methods

#### hookDocumentCreation

void hookDocumentCreation( $element )

Hook on document creation

Hook called when a new document is created.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$element` | ezcDocumentLocateableDomElement |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcDocumentPdfFooterPdfPart::hookDocumentCreation()` | Hook on document creation

#### hookDocumentRendering

void hookDocumentRendering( )

Hook on document rendering

Hook called once a document is completely rendered.

#### hookPageCreation

void hookPageCreation( $page )

Hook on page creation

Hook called on page creation, so that certain areas might be reserved or it already may render stuff on the frshly created page.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$page` | ezcDocumentPdfPage |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcDocumentPdfFooterPdfPart::hookPageCreation()` | Hook on page creation

#### hookPageRendering

void hookPageRendering( $page )

Hook on page rendering

Hook called on page rendering, which means, that a page is complete, by all knowledge of the main renderer.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$page` | ezcDocumentPdfPage |

#### registerContext

void registerContext( $renderer , ezcDocumentPdfDriver $driver , $styles )

Registration function called by the renderer.

Function called by the renderer, to set its properties, which pass the relevant state objects to the part.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$renderer` | ezcDocumentPdfMainRenderer |
`$driver` | ezcDocumentPdfDriver |
`$styles` | ezcDocumentPcssStyleInferencer |

Documentation generated by phpDocumentor 1.4.3